version: 1
# Default config, but the user can take this template and create their own or just pass individual variables

viirs:
    variables:
        time_variable: "Scan_Start_Time"
        lon_variable: "Longitude"
        lat_variable: "Latitude"
        obs_variable: "Aerosol_Optical_Thickness_550_Land_Ocean_Best_Estimate" 
    da: 
        obsid: 34
        uncertainty_constants: [0.2, 0.05, 0.02]
    grids:
        grid_repr: "" # default grid repr
        rotated:
            centre_lat: 35
            centre_lon: 20
            west: -51
            south: -35
            dlon: 0.1
            dlat: 0.1
        regular:
            west: -180
            south: -90
            dlon: 0.1
            dlat: 0.1
            #nlon: 3600
            #nlat: 1800
    qa:
        qa_variables:
            qa_land:
                qa_name: "Aerosol_Optical_Thickness_QA_Flag_Land" #name of flag
                qa_values: [2,3] # Values you want to keep
                qa_combined: False #This makes sure that & operator is used in the python script, else default is or
            qa_ocean:
                qa_name: "Aerosol_Optical_Thickness_QA_Flag_Ocean"
                qa_values: [3]
                qa_combined: False
            qa_type:
                qa_name: "Aerosol_Type_Land_Ocean"
                qa_values: [0]
                qa_combined: True

tropomi:
    variables:
        time_variable: "delta_time"
        lon_variable: "longitude"
        lat_variable: "latitude"
        obs_variable: "nitrogendioxide_tropospheric_column"
    grids:
        grid_repr: "" # default grid repr
        rotated:
            centre_lat: 35
            centre_lon: 20
            west: -51
            south: -35
            dlon: 0.1
            dlat: 0.1
        regular:
            west: -180
            south: -90
            dlon: 0.1
            dlat: 0.1
            #nlon: 3600
            #nlat: 1800
    qa:
        qa_variables:
            qa_value:
                qa_name: "qa_value"
                qa_values: 0.5
                qa_combined: True
                qa_condition: "greater_than_or_equal" # Examples, greater_than, less_than, equal, greater_than_or_equal, less_than_or_equal




